| Home | Libraries | People | FAQ | More

## Function template operator<<

boost::operator<< — Provides streaming output for `variant` types.

## Synopsis

    // In header: <boost/variant/variant.hpp>

    template<typename ElemType, typename Traits, typename T1, typename T2, ...,
             typename TN>
      std::basic_ostream<ElemType,Traits> &
      operator<<(std::basic_ostream<ElemType,Traits> & out,
                 const variant<T1, T2, ..., TN> & rhs);

## Description

Requires: | Every bounded type of the `variant` must fulfill the requirements of the OutputStreamable concept.
Effects: | Calls `out << x`, where `x` is the content of `rhs`.
Notes: | Not available when `BOOST_NO_IOSTREAM` is defined.